#!/bin/bash

# 项目目录
PROJECT_DIR="/Users/zejiawu/Projects/go-msa-auth"

# 分支名称（需要监听的分支，例如 main）
BRANCH="master"

# 切换到项目目录
cd $PROJECT_DIR || { echo "Directory $PROJECT_DIR not found!"; exit 1; }

# 拉取最新代码
echo "Pulling latest changes from branch $BRANCH..."
git fetch origin $BRANCH
git reset --hard origin/$BRANCH

# 构建 Docker 镜像
echo "Building Docker image..."
docker-compose build

# 停止旧容器并启动新容器
echo "Restarting service..."
docker-compose down
docker-compose up -d

echo "Deployment complete!"